OpenVDB: NodeManager< TreeOrLeafManagerT, 0 > Class Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
NodeManager< TreeOrLeafManagerT, 0 > Class Template Reference

Template specialization of the NodeManager with no caching of nodes. More...

`#include <NodeManager.h>`

## Public Types
typedef TreeOrLeafManagerT::RootNodeType | RootNodeType

## Public Member Functions
| NodeManager (TreeOrLeafManagerT &tree)
virtual | ~NodeManager ()
void | clear ()
| Clear all the cached tree nodes. More...
void | rebuild ()
| Clear and recache all the tree nodes from the tree. This is required if tree nodes have been added or removed. More...
const RootNodeType & | root () const
| Return a reference to the root node. More...
Index64 | nodeCount () const
| Return the total number of cached nodes (excluding the root node) More...
Index64 | nodeCount (Index) const
template<typename NodeOp >
OPENVDB_DEPRECATED void | processBottomUp (const NodeOp &op, bool, size_t)
template<typename NodeOp >
OPENVDB_DEPRECATED void | processTopDown (const NodeOp &op, bool, size_t)
template<typename NodeOp >
void | foreachBottomUp (const NodeOp &op, bool, size_t)
template<typename NodeOp >
void | foreachTopDown (const NodeOp &op, bool, size_t)
template<typename NodeOp >
void | reduceBottomUp (NodeOp &op, bool, size_t)
template<typename NodeOp >
void | reduceTopDown (NodeOp &op, bool, size_t)

## Static Public Attributes
static const Index | LEVELS = 0

## Protected Attributes
RootNodeType & | mRoot

## Detailed Description

### template<typename TreeOrLeafManagerT>
class openvdb::v3_2_0::tree::NodeManager< TreeOrLeafManagerT, 0 >

Template specialization of the NodeManager with no caching of nodes.

## Member Typedef Documentation

## ◆ RootNodeType

typedef TreeOrLeafManagerT::RootNodeType RootNodeType

## Constructor & Destructor Documentation

## ◆ NodeManager()

NodeManager | ( | TreeOrLeafManagerT & | tree | ) |
| inline

## ◆ ~NodeManager()

virtual ~NodeManager | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

Clear all the cached tree nodes.

## ◆ foreachBottomUp()

void foreachBottomUp | ( | const NodeOp & | op,
|  | bool | ,
|  | size_t |
| ) |  |
| inline

## ◆ foreachTopDown()

void foreachTopDown | ( | const NodeOp & | op,
|  | bool | ,
|  | size_t |
| ) |  |
| inline

## ◆ nodeCount() [1/2]

Index64 nodeCount | ( |  | ) | const
| inline

Return the total number of cached nodes (excluding the root node)

## ◆ nodeCount() [2/2]

Index64 nodeCount | ( | Index |  | ) | const
| inline

## ◆ processBottomUp()

OPENVDB_DEPRECATED void processBottomUp | ( | const NodeOp & | op,
|  | bool | ,
|  | size_t |
| ) |  |
| inline

## ◆ processTopDown()

OPENVDB_DEPRECATED void processTopDown | ( | const NodeOp & | op,
|  | bool | ,
|  | size_t |
| ) |  |
| inline

## ◆ rebuild()

void rebuild | ( |  | ) |
| inline

Clear and recache all the tree nodes from the tree. This is required if tree nodes have been added or removed.

## ◆ reduceBottomUp()

void reduceBottomUp | ( | NodeOp & | op,
|  | bool | ,
|  | size_t |
| ) |  |
| inline

## ◆ reduceTopDown()

void reduceTopDown | ( | NodeOp & | op,
|  | bool | ,
|  | size_t |
| ) |  |
| inline

## ◆ root()

const RootNodeType& root | ( |  | ) | const
| inline

Return a reference to the root node.

## Member Data Documentation

## ◆ LEVELS

const Index LEVELS = 0
| static

## ◆ mRoot

RootNodeType& mRoot
| protected

The documentation for this class was generated from the following file:

- NodeManager.h